Page MenuHomePhabricator

Add [[MediaWiki:Dot-separator]] as a system message
Closed, DeclinedPublic

Description

"MediaWiki:Dot-separator" (used in templates and modules including ENWP's Module:Find_source [1]) is becoming popular. Could this be included as an interface message by default?

[1] https://en.wikipedia.org/wiki/Module:Find_sources

Details

Related Gerrit Patches:
mediawiki/core : masterAdd dot-separator to mediawiki

Event Timeline

whym created this task.Apr 22 2016, 7:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2016, 7:30 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 10 2017, 5:39 AM

Change 365537 had a related patch set uploaded (by Rosalieper; owner: Rosalieper):
[mediawiki/core@master] Add dot-separator to mediawiki

https://gerrit.wikimedia.org/r/365537

@Nikerabbit, can this be closed looking at this comment here;

This does not look like a good fit for the translation system. This seems to be a stylistic way to make a list (for which I think there are already too many ways). If this were to be used in MediaWiki code, it should come with an accompanying makeList function.
The core i18n files are not the place to add stuff to be used in wiki page contents. Although the messages are exposed to the editors, there is no guarantee that they won't be renamed, changed in content or formatting or deleted. Like James said, unused messages are removed when spotted.

Can the patch be abandoned and this ticket closed? Or is there any other better ideas for this?

Change 365537 abandoned by Legoktm:
Add dot-separator to mediawiki

Reason:
Per Nikerabbit

https://gerrit.wikimedia.org/r/365537

Should this task be closed?

@TerraCodes, I think so. Let @Nikerabbit react to this one, he can better judge :)

Nikerabbit closed this task as Declined.Nov 21 2017, 8:06 AM